<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.SiteUploadCycleMapper">
	<sql id="Base_Column_List">
		id as id,
		site_id as siteId,
		cwzz as cwzz,
		jfzz as jfzz,
		totalcwzz as totalcwzz,
		sf6 as sf6,
		gishw as gishw,
		gisqx as gisqx,
		yspzz as yspzz,
		txzz as txzz,
		jjzz as jjzz,
		byqhw as byqhw,
		byqtg as byqtg,
		byqqx as byqqx,
		blqtg as blqtg,
		blqrx as blqrx,
		blqzz as blqzz,
		blqqx as blqqx,
		blqhw as blqhw,
		pzzz as pzzz,
		qthw as qthw,
		qtdlhl as qtdlhl,
		byqrzcw,sf6jczz,
		dlhw,dldlhl,
		fdjzz,
		create_time as createTime,
		create_user as createUser,
		create_name as createName
	</sql>

	<select id="selectSiteUploadCycleInfo" resultType="com.huatek.busi.vo.SiteUploadCycleVo">
		select 
			<include refid="Base_Column_List" />
		from
			site_upload_cycle
		where
			site_id = #{siteId}
	</select>

	<select id="getCycle" resultType="java.lang.String">
		select
			t.${fieldName}
		from 
			site_upload_cycle t
		where 
			t.site_id = #{siteId}
	</select>
</mapper>